Package ec.neat

# Enum Class NEATNode.NodeType

java.lang.Object
java.lang.Enum<NEATNode.NodeType>
ec.neat.NEATNode.NodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<NEATNode.NodeType>`, `Constable`

Enclosing class:
  `NEATNode`

public static enum NEATNode.NodeType extends Enum<NEATNode.NodeType>
The type of a node. A node could be a sensor node, where the input get loaded in, or a neuron node, where activation is triggered.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEURON`
  `SENSOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NEATNode.NodeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NEATNode.NodeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEURON

    public static final NEATNode.NodeType NEURON

  - ### SENSOR

    public static final NEATNode.NodeType SENSOR

- ## Method Details

  - ### values

    public static NEATNode.NodeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NEATNode.NodeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null